Subject: Re: [PATCH 1/3] WAN Kconfig: change "depends on HDLC" to "select"

From: Jeff Garzik <[email-masked]>
Date: Mon, 07 May 2007 09:21:18 -0400

Roman Zippel wrote:
> Hi,
> 
> On Mon, 7 May 2007, Krzysztof Halasa wrote:
> 
>> Actually I can't see any bad idea here.
>> The original dependency was certainly, uhm, not the best one.
> 
> select seriously screws with the dependencies, it's especially problematic 
> if the selected symbol has other dependencies as HDLC in this case, it 
> makes it only more complicated to get the dependencies correct again.
> Please use it only if it solves a real problem.

What he's doing is the standard way to deal with library-style code. 
Nothing wrong with the patch, it's continuing established methods.

	Jeff